Page MenuHomePhabricator

[NEON] Define fp16 vld and vst intrinsics conditionally
ClosedPublic

Authored by kosarev on Jul 9 2018, 6:07 AM.

Details

Summary

This patch fixes definitions of vld and vst NEON intrinsics so that we only define them if half-precision arithmetic is supported on the target platform, as prescribed in ACLE 2.0.

Diff Detail

Repository
rC Clang

Event Timeline

kosarev created this revision.Jul 9 2018, 6:07 AM

Now that they are conditionally defined, do we need negative tests (in test/Sema/arm-no-fp16.c?) to check that they are not available when fp16 is not enabled?

kosarev updated this revision to Diff 157960.Jul 30 2018, 7:39 AM

Test that the affected intrinsics are not defined in no-fp16 mode.

SjoerdMeijer accepted this revision.Aug 6 2018, 6:40 AM

Thanks, LGTM.

This revision is now accepted and ready to land.Aug 6 2018, 6:40 AM
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.